Package htsjdk.samtools.cram.encoding.readfeatures

# Class Scores

java.lang.Object
htsjdk.samtools.cram.encoding.readfeatures.Scores

All Implemented Interfaces:
  `ReadFeature`, `Serializable`

public class Scores extends Object implements Serializable, ReadFeature
A read feature representing a contiguous stretch of quality scores in a read.

See Also:
  - Serialized Form

## Field Summary

Fields
Modifier and Type
Field
Description
`static final byte`
`operator`

## Constructor Summary

Constructors
Constructor
Description
`Scores(int position, byte[] sequence)`

## Method Summary

Modifier and Type
Method
Description
`boolean`
`equals(Object o)`
`byte`
`getOperator()`
Read features are distinguished by operator, similar to cigar operator.
`int`
`getPosition()`
`byte[]`
`getScores()`
`int`
`hashCode()`
`void`
`setScores(byte[] scores)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Field Details

### operator

public static final byte operator

See Also:
  - Constant Field Values

## Constructor Details

### Scores

public Scores(int position, byte[] sequence)

## Method Details

### getScores

public byte[] getScores()

### setScores

public void setScores(byte[] scores)

### getOperator

public byte getOperator()
Description copied from interface: `ReadFeature`
Read features are distinguished by operator, similar to cigar operator.

Specified by:
  `getOperator` in interface `ReadFeature`
Returns:
  type of the read feature

### getPosition

public int getPosition()

Specified by:
  `getPosition` in interface `ReadFeature`
Returns:
  zero-based position in the read

### toString

public String toString()

Overrides:
  `toString` in class `Object`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`